---
title: WakeLockSentinel.type
slug: Web/API/WakeLockSentinel/type
tags:
  - Property
  - Read-only
  - Screen Wake Lock API
  - Wake Lock
  - WakeLockSentinel
  - screen
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("Screen Wake Lock API")}}</div>

<p class="summary">The read-only <strong><code>type</code></strong> property of the {{domxref("WakeLockSentinel")}} interface returns a {{jsxref("String")}} representation of the currently acquired {{domxref("WakeLockSentinel")}} type.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>type</var> = <em>sentinel</em>.type;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("String")}} representation of the currently acquired wake lock type.</p>

<dl>
	<dt><em>type</em> {{ReadOnlyInline}}</dt>
	<dd>Return values are:
	<ul>
		<li><code>'screen'</code>: A screen wake lock. Prevents devices from dimming or locking the screen.</li>
	</ul>
	</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example shows an asynchronous function that acquires a {{domxref("WakeLockSentinel")}}, then logs the type to the console.</p>

<pre class="brush: js notranslate">const requestWakeLock = async () =&gt; {
  wakeLock = await navigator.wakeLock.request('screen');
  console.log(wakeLock.type); // logs 'screen'
};

requestWakeLock();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Screen Wake Lock','#the-wakelocktype-enum','WakeLockType')}}</td>
			<td>{{Spec2('Screen Wake Lock')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WakeLockSentinel.type")}}</p>
